> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Knowledge Base

> Create a new knowledge base



## OpenAPI

````yaml POST /api/v1/knowledge-bases
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/knowledge-bases:
    post:
      tags:
        - Knowledge Base
      summary: Create Knowledge Base
      description: Create a new knowledge base
      operationId: createKnowledgeBase
      parameters: []
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: >-
                    Must be at least 1 character. Must not be greater than 255
                    characters.
                  example: b
                urls:
                  type: array
                  description: ''
                  example: []
                  items:
                    type: object
                    properties:
                      base_url:
                        type: string
                        description: Must not be greater than 255 characters.
                        example: http://example.com/
                      urls:
                        type: array
                        description: Must be a valid URL.
                        example:
                          - >-
                            http://example.com/sunt-nihil-accusantium-harum-mollitia
                        items:
                          type: string
                    required:
                      - base_url
                texts:
                  type: array
                  description: ''
                  example: []
                  items:
                    type: object
                    properties:
                      title:
                        type: string
                        description: Must not be greater than 255 characters.
                        example: k
                      text:
                        type: string
                        description: ''
                        example: example
                    required:
                      - title
                      - text
                files:
                  type: array
                  description: Must be a file. Must not be greater than 102400 kilobytes.
                  items:
                    type: string
                    format: binary
              required:
                - name
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44ev725mapzgbh93awykk
                    name: eius et animi
                    texts: []
                    urls: []
                    files: []
                    created_at: '2026-05-01T06:38:04+00:00'
                    updated_at: '2026-05-01T06:38:04+00:00'
                    workspace_id: 01kqh44etv614w6a60hvnyme6x
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44ev725mapzgbh93awykk
                      name:
                        type: string
                        example: eius et animi
                      texts:
                        type: array
                        example: []
                      urls:
                        type: array
                        example: []
                      files:
                        type: array
                        example: []
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      workspace_id:
                        type: string
                        example: 01kqh44etv614w6a60hvnyme6x
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````